#include <avr/io.h>             // this contains all the IO port definitions
#include <avr/pgmspace.h>       // definitions or keeping constants in program memory
#include "main.h"

#define freq_to_timerval(x) ((F_CPU / x - 1 )/ 2)

// table of POWER codes
#define _Grundig     1
#define CODE100 	 1
#define CODE101 	 1
#define CODE102 	 1
#define CODE103 	 1
#define CODE104 	 1
#define CODE105 	 0  //enthlt zu grosse ON-Zeiten
#define CODE106 	 0  //enthlt zu grosse ON-Zeiten
#define CODE107 	 1
#define CODE108 	 1
#define CODE109 	 1
#define CODE110 	 1
#define CODE111 	 1
#define CODE112 	 1
#define CODE113 	 1
#define CODE114 	 1
#define CODE115 	 0  //enthlt zu grosse ON-Zeiten
#define CODE116 	 1
#define CODE117 	 1
#define CODE118 	 1
#define CODE119 	 1
#define CODE120 	 1
#define CODE121 	 1
#define CODE122 	 1
#define CODE123 	 1
#define CODE124 	 1
#define CODE125 	 1
#define CODE126 	 1
#define CODE127 	 1
#define CODE128 	 1
#define CODE129 	 1
#define CODE130 	 1
#define CODE131 	 1
#define CODE132 	 1
#define CODE133 	 1
#define CODE134 	 1
#define CODE135 	 1
#define CODE136 	 1
#define CODE137 	 1
#define CODE138 	 1
#define CODE139 	 1

#if _Grundig
const Tpowercode Grundig PROGMEM = {
  freq_to_timerval(36000), 
  {
   {52, 260},
   {52, 116},
   {104, 104},
   {52, 52},
   {52, 52},
   {52, 52},
   {52, 52},
   {52, 52},
   {52, 52},
   {52, 0} // end of code
  }
};
#endif


/*
Code 100
Philips

*/
#if CODE100
const Tpowercode Code100 PROGMEM = {
  freq_to_timerval(34760),{ // 34760 Hz Carrier
 	{	 273, 	 92	 },
	{	 46, 	 92	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 138, 	 135	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 92, 	 46	 },
	{	 46, 	 92	 },
	{	 46, 	 46	 },
	{	 46, 	 8547	 },
	{	 273, 	 92	 },
	{	 46, 	 92	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 138, 	 135	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 45, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 46, 	 46	 },
	{	 92, 	 46	 },
	{	 46, 	 92	 },
	{	 46, 	 46	 },
	{	 46, 	 0	 }}
}; //End code 100
#endif


/*
Code 101
Grundig, Toshiba

*/
#if CODE101
const Tpowercode Code101 PROGMEM = {
  freq_to_timerval(29510),{ // 29510 Hz Carrier
 	{	 54, 	 270	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 2107	 },
	{	 54, 	 268	 },
	{	 54, 	 109	 },
	{	 105, 	 109	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 11969	 },
	{	 54, 	 268	 },
	{	 54, 	 109	 },
	{	 105, 	 109	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 53	 },
	{	 54, 	 0	 }}
}; //End code 101
#endif


/*
Code 102
Brandt, Ferguson, Thomson

*/
#if CODE102
const Tpowercode Code102 PROGMEM = {
  freq_to_timerval(32450),{ // 32450 Hz Carrier
 	{	 49, 	 209	 },
	{	 49, 	 208	 },
	{	 49, 	 466	 },
	{	 49, 	 466	 },
	{	 49, 	 208	 },
	{	 49, 	 208	 },
	{	 49, 	 208	 },
	{	 49, 	 466	 },
	{	 49, 	 466	 },
	{	 49, 	 466	 },
	{	 49, 	 208	 },
	{	 49, 	 466	 },
	{	 49, 	 3581	 },
	{	 49, 	 208	 },
	{	 49, 	 208	 },
	{	 49, 	 466	 },
	{	 49, 	 466	 },
	{	 49, 	 208	 },
	{	 49, 	 208	 },
	{	 49, 	 208	 },
	{	 49, 	 466	 },
	{	 49, 	 466	 },
	{	 49, 	 466	 },
	{	 49, 	 208	 },
	{	 49, 	 466	 },
	{	 49, 	 0	 }}
}; //End code 102
#endif


/*
Code 103
Sony, Philips

*/
#if CODE103
const Tpowercode Code103 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 245, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 2759	 },
	{	 245, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 60	 },
	{	 123, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 60	 },
	{	 61, 	 0	 }}
}; //End code 103
#endif


/*
Code 104
Panasonic

*/
#if CODE104
const Tpowercode Code104 PROGMEM = {
  freq_to_timerval(36090),{ // 36090 Hz Carrier
 	{	 358, 	 179	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 7661	 },
	{	 358, 	 180	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 133	 },
	{	 47, 	 44	 },
	{	 47, 	 133	 },
	{	 47, 	 0	 }}
}; //End code 104
#endif


/*
Code 105
Sharp

*/
#if CODE105
const Tpowercode Code105 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 273296, 	 194	 },
	{	 276976, 	 81	 },
	{	 276816, 	 81	 },
	{	 276976, 	 81	 },
	{	 277296, 	 81	 },
	{	 276816, 	 81	 },
	{	 276816, 	 194	 },
	{	 277136, 	 194	 },
	{	 276816, 	 81	 },
	{	 276816, 	 194	 },
	{	 276976, 	 81	 },
	{	 277136, 	 81	 },
	{	 276816, 	 81	 },
	{	 276816, 	 194	 },
	{	 276976, 	 81	 },
	{	 276976, 	 4928	 },
	{	 276816, 	 194	 },
	{	 277136, 	 81	 },
	{	 276816, 	 81	 },
	{	 276816, 	 81	 },
	{	 276976, 	 81	 },
	{	 277136, 	 194	 },
	{	 276816, 	 81	 },
	{	 276976, 	 81	 },
	{	 276976, 	 194	 },
	{	 276976, 	 81	 },
	{	 276816, 	 194	 },
	{	 276976, 	 194	 },
	{	 276976, 	 194	 },
	{	 276816, 	 81	 },
	{	 276816, 	 194	 },
	{	 276976, 	 4311	 },
	{	 276816, 	 194	 },
	{	 276976, 	 81	 },
	{	 276976, 	 81	 },
	{	 276976, 	 81	 },
	{	 276816, 	 81	 },
	{	 276976, 	 81	 },
	{	 276976, 	 194	 },
	{	 276656, 	 194	 },
	{	 276976, 	 81	 },
	{	 277136, 	 194	 },
	{	 276816, 	 81	 },
	{	 276816, 	 81	 },
	{	 276976, 	 81	 },
	{	 276976, 	 194	 },
	{	 276816, 	 81	 },
	{	 277136, 	 4928	 },
	{	 276816, 	 194	 },
	{	 276816, 	 81	 },
	{	 276976, 	 81	 },
	{	 277136, 	 81	 },
	{	 276816, 	 81	 },
	{	 276816, 	 194	 },
	{	 276976, 	 81	 },
	{	 276976, 	 81	 },
	{	 276816, 	 194	 },
	{	 276816, 	 81	 },
	{	 277136, 	 194	 },
	{	 276816, 	 194	 },
	{	 276816, 	 194	 },
	{	 276976, 	 81	 },
	{	 276976, 	 194	 },
	{	 272576, 	 0	 }}
}; //End code 105
#endif


/*
Code 106
Samsung

*/
#if CODE106
const Tpowercode Code106 PROGMEM = {
  freq_to_timerval(37430),{ // 37430 Hz Carrier
 	{	 4681248, 	 480	 },
	{	 558128, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558128, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 175	 },
	{	 558128, 	 64	 },
	{	 558128, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558448, 	 64	 },
	{	 558128, 	 175	 },
	{	 558448, 	 64	 },
	{	 558288, 	 64	 },
	{	 558128, 	 64	 },
	{	 558128, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 175	 },
	{	 558288, 	 64	 },
	{	 558128, 	 175	 },
	{	 558288, 	 175	 },
	{	 558128, 	 175	 },
	{	 558288, 	 175	 },
	{	 558448, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 4592	 },
	{	 4683808, 	 480	 },
	{	 558288, 	 175	 },
	{	 558128, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 64	 },
	{	 558128, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558128, 	 64	 },
	{	 558448, 	 175	 },
	{	 558128, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558448, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558448, 	 175	 },
	{	 558128, 	 64	 },
	{	 558288, 	 64	 },
	{	 558448, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 64	 },
	{	 558288, 	 175	 },
	{	 558448, 	 64	 },
	{	 558288, 	 175	 },
	{	 558288, 	 175	 },
	{	 558288, 	 175	 },
	{	 558128, 	 175	 },
	{	 558288, 	 175	 },
	{	 558448, 	 175	 },
	{	 558768, 	 0	 }}
}; //End code 106
#endif


/*
Code 107
JVC

*/
#if CODE107
const Tpowercode Code107 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 862, 	 431	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 2368	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 2367	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 0	 }}
}; //End code 107
#endif


/*
Code 108
Hitachi

*/
#if CODE108
const Tpowercode Code108 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 108
#endif


/*
Code 109
A.R.Systems, Aiko, Aim, Akai, Akiba, Akura, Alba, Allstar, Amstrad, Anitech, Ansonic, Aristona, Asberg, Atlantic, Audiosonic,
Basic Line, Baur, Beko, Beon, Bestar, Blue Sky, BPL, Brinkmann, Brionvega, Bush, Carena, Cascade, Cathay, Centurion,
Clatronic, Condor, Crown, Daewoo, Dansai, Dawa, Decca, Desmet, Diamant, Dixi, Dual, Dynatron, Elbe, Elin, Elite, Emerson,
Erres, Euromann, Europhon, Exquisit, Fidelity, Finlux, Firstline, Flint, Fraba, Galaxi, Galaxis, GEC, Genexxa, Goldline,
GoldStar, Goodmans, Granada, Grundig, Hanseatic, Hantarex, Hantor, Harwood, HCM, HiLine, Hinari, Hitachi, Hornyphone, Hypson,
Iberia, ICE, Imperial, Indiana, Inno Hit, Interfunk, Intervision, Irradio, Isukai, ITS, ITV, Kaisui, Karcher, Kendo, Kneissel,
Kolster, Korpel, Kosmos, Leyco, LG, Liesenkotter, Lifetec, Loewe, Luma, Lumatron, M Elecectronic, Manesth, Marantz, Mark,
Matsui, Mediator, Medion, Mercury, Minoka, Mitsubishi, Multitech, Neckermann, NEI, Neufunk, New Tech, Nikkai, Novatronic,
Okano, Opera, Orbit, Orion, Orline, Orsowe, Osaki, Otto Versand, Palladium, Panama, Panasonic, Panavision, Perdio, Perfekt,
Philco, Philips, Phoenix, Phonola, Pioneer, Plantron, Profi-Tronic, Proline, Prosonic, Provision, Pye, Quelle, Radialva,
Raiola, Radiomarelli, RadioShack, Radiotone, Recor, Redstar, Reflex, Revox, R-Line, Samsung, Sansui, SBR, Schneider, SEG, SEI,
Siarem, Sierra, Sinudyne, Sonoko, Sontec, Soundwave, Standard, Star Lite, Strato, Sunstar, Sunwood, SuperTech, Tatung, Teac,
Teleccor, Telefunken, Telegazi, Telemeister, Telesonic, Telestar, Teletech, Tensai, Thomson, Thorn, Tokai, Trans Continens,
Triumph, Uher, Ultravox, Unic Line, Universum, Univox, Vestel, Vexa, VideoSystemVision, Vortec, Voxson, Waltham, Watson, Wega,
Weltclick, White Westinghouse, Xrypton, Yamishi, Yokan, Yoko

*/
#if CODE109
const Tpowercode Code109 PROGMEM = {
  freq_to_timerval(34800),{ // 34800 Hz Carrier
 	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 184	 },
	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 9217	 },
	{	 91, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 184	 },
	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 0	 }}
}; //End code 109
#endif


/*
Code 110
Toshiba

*/
#if CODE110
const Tpowercode Code110 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 110
#endif


/*
Code 111
Goodmans

*/
#if CODE111
const Tpowercode Code111 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 462	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 4055	 },
	{	 926, 	 230	 },
	{	 56, 	 9857	 },
	{	 926, 	 230	 },
	{	 56, 	 0	 }}
}; //End code 111
#endif


/*
Code 112
Aiwa

*/
#if CODE112
const Tpowercode Code112 PROGMEM = {
  freq_to_timerval(37430),{ // 37430 Hz Carrier
 	{	 920, 	 430	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 2362	 },
	{	 921, 	 460	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 59	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 175	 },
	{	 56, 	 0	 }}
}; //End code 112
#endif


/*
Code 113
Daewoo

*/
#if CODE113
const Tpowercode Code113 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 822, 	 409	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 409	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 2397	 },
	{	 822, 	 409	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 409	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 163	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 52	 },
	{	 51, 	 0	 }}
}; //End code 113
#endif


/*
Code 114
Pioneer

*/
#if CODE114
const Tpowercode Code114 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 876, 	 435	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 2610	 },
	{	 877, 	 434	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 2610	 },
	{	 877, 	 434	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 54	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 159	 },
	{	 56, 	 0	 }}
}; //End code 114
#endif


/*
Code 115
Mitsubishi

*/
#if CODE115
const Tpowercode Code115 PROGMEM = {
  freq_to_timerval(32450),{ // 32450 Hz Carrier
 	{	 318096, 	 216	 },
	{	 318096, 	 218	 },
	{	 318096, 	 218	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 317936, 	 218	 },
	{	 317936, 	 92	 },
	{	 317936, 	 92	 },
	{	 317936, 	 218	 },
	{	 317776, 	 92	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 317936, 	 92	 },
	{	 317776, 	 2844	 },
	{	 317936, 	 218	 },
	{	 317776, 	 218	 },
	{	 317936, 	 218	 },
	{	 317936, 	 92	 },
	{	 317936, 	 92	 },
	{	 317776, 	 92	 },
	{	 318096, 	 218	 },
	{	 317936, 	 92	 },
	{	 318096, 	 92	 },
	{	 318096, 	 218	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 318096, 	 92	 },
	{	 317936, 	 92	 },
	{	 317936, 	 92	 },
	{	 317776, 	 92	 },
	{	 316896, 	 0	 }}
}; //End code 115
#endif


/*
Code 116
Sanyo

*/
#if CODE116
const Tpowercode Code116 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 116
#endif


/*
Code 117
Acura, Alba, Amstrad, Anitech, Basic Line, Bush, Cascade, Cimline, Contec, Crown, Daewoo, Daytron, Dixi, Elta, Firstline,
Geloso, HCM, Hinari, Kaisui, Koyoda, M Electronic, Matsui, Memorex, Multitech, Pausa, Profex, Protech, Roadstar, Saisho,
Samsung, Sonoko, Standard, Teletech

*/
#if CODE117
const Tpowercode Code117 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 868, 	 427	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 428	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 2507	 },
	{	 868, 	 428	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 428	 },
	{	 53, 	 53	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 161	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 53, 	 53	 },
	{	 52, 	 0	 }}
}; //End code 117
#endif


/*
Code 118
Erres, Mediator, Philips, Phonola, Pye, Radiola, SBR

*/
#if CODE118
const Tpowercode Code118 PROGMEM = {
  freq_to_timerval(34800),{ // 34800 Hz Carrier
 	{	 51, 	 307	 },
	{	 51, 	 1026	 },
	{	 51, 	 309	 },
	{	 51, 	 1026	 },
	{	 51, 	 309	 },
	{	 51, 	 1026	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 667	 },
	{	 51, 	 3079	 },
	{	 51, 	 309	 },
	{	 51, 	 1026	 },
	{	 51, 	 309	 },
	{	 51, 	 1026	 },
	{	 51, 	 309	 },
	{	 51, 	 1026	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 309	 },
	{	 51, 	 667	 },
	{	 51, 	 0	 }}
}; //End code 118
#endif


/*
Code 119
Emerson, Finlux, Funai, Goodmans, Hinari, ITT, Magnavox, Memorex, Nexco, Philco, Shorai, Silver

*/
#if CODE119
const Tpowercode Code119 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 462	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 4055	 },
	{	 926, 	 230	 },
	{	 56, 	 9857	 },
	{	 926, 	 230	 },
	{	 54, 	 0	 }}
}; //End code 119
#endif


/*
Code 120
Hitachi

*/
#if CODE120
const Tpowercode Code120 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 120
#endif


/*
Code 121
NEC

*/
#if CODE121
const Tpowercode Code121 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 918, 	 460	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 178	 },
	{	 56, 	 60	 },
	{	 56, 	 60	 },
	{	 56, 	 4582	 },
	{	 921, 	 229	 },
	{	 56, 	 9707	 },
	{	 921, 	 229	 },
	{	 55, 	 0	 }}
}; //End code 121
#endif


/*
Code 122
Granada, Sanyo

*/
#if CODE122
const Tpowercode Code122 PROGMEM = {
  freq_to_timerval(37430),{ // 37430 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 122
#endif


/*
Code 123
ASA, Carrefour, Dumont, Emerson, Finlux, Grundig, Minerva, Nobliko, Quelle, Rank, RBM, Toshiba, Universum

*/
#if CODE123
const Tpowercode Code123 PROGMEM = {
  freq_to_timerval(30460),{ // 30460 Hz Carrier
 	{	 53, 	 255	 },
	{	 53, 	 102	 },
	{	 105, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 2439	 },
	{	 53, 	 256	 },
	{	 53, 	 102	 },
	{	 105, 	 102	 },
	{	 53, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 12337	 },
	{	 53, 	 256	 },
	{	 53, 	 102	 },
	{	 105, 	 102	 },
	{	 53, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 51	 },
	{	 53, 	 0	 }}
}; //End code 123
#endif


/*
Code 124
Samsung

*/
#if CODE124
const Tpowercode Code124 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 124
#endif


/*
Code 125
ASA, Dumont, Elin, Finlux, Fisher, Kapsch, Lenco, M Electronic, Murphy, Quelle, Sanyo, Tensai, Thorn, Universum

*/
#if CODE125
const Tpowercode Code125 PROGMEM = {
  freq_to_timerval(29510),{ // 29510 Hz Carrier
 	{	 54, 	 272	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 2108	 },
	{	 54, 	 270	 },
	{	 54, 	 111	 },
	{	 54, 	 55	 },
	{	 105, 	 56	 },
	{	 54, 	 111	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 12444	 },
	{	 54, 	 270	 },
	{	 54, 	 111	 },
	{	 54, 	 55	 },
	{	 105, 	 56	 },
	{	 54, 	 111	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 55	 },
	{	 54, 	 0	 }}
}; //End code 125
#endif


/*
Code 126
ASA, Elin, Finlux, Hitachi, M Electrtonic, Novatronic, Quelle, Tensai, Universum

*/
#if CODE126
const Tpowercode Code126 PROGMEM = {
  freq_to_timerval(33600),{ // 33600 Hz Carrier
 	{	 54, 	 255	 },
	{	 54, 	 99	 },
	{	 107, 	 48	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 1482	 },
	{	 54, 	 256	 },
	{	 54, 	 99	 },
	{	 54, 	 49	 },
	{	 107, 	 48	 },
	{	 54, 	 99	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 107, 	 99	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 11310	 },
	{	 54, 	 256	 },
	{	 54, 	 99	 },
	{	 54, 	 49	 },
	{	 107, 	 48	 },
	{	 54, 	 99	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 107, 	 99	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 49	 },
	{	 54, 	 0	 }}
}; //End code 126
#endif


/*
Code 127
LG

*/
#if CODE127
const Tpowercode Code127 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 127
#endif


/*
Code 128
JVC

*/
#if CODE128
const Tpowercode Code128 PROGMEM = {
  freq_to_timerval(37430),{ // 37430 Hz Carrier
 	{	 862, 	 431	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 53	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 1741	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 53	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 1741	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 53	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 53	 },
	{	 56, 	 163	 },
	{	 56, 	 163	 },
	{	 56, 	 0	 }}
}; //End code 128
#endif


/*
Code 129
Thomson

*/
#if CODE129
const Tpowercode Code129 PROGMEM = {
  freq_to_timerval(32520),{ // 32520 Hz Carrier
 	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 466	 },
	{	 52, 	 466	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 466	 },
	{	 52, 	 466	 },
	{	 52, 	 466	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 3788	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 466	 },
	{	 52, 	 466	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 466	 },
	{	 52, 	 466	 },
	{	 52, 	 466	 },
	{	 52, 	 209	 },
	{	 52, 	 209	 },
	{	 52, 	 0	 }}
}; //End code 129
#endif


/*
Code 130
Osume, Sanyo, Siemens

*/
#if CODE130
const Tpowercode Code130 PROGMEM = {
  freq_to_timerval(37430),{ // 37430 Hz Carrier
 	{	 53, 	 152	 },
	{	 53, 	 354	 },
	{	 53, 	 354	 },
	{	 53, 	 354	 },
	{	 53, 	 151	 },
	{	 53, 	 151	 },
	{	 53, 	 3014	 },
	{	 53, 	 151	 },
	{	 53, 	 354	 },
	{	 53, 	 354	 },
	{	 53, 	 354	 },
	{	 53, 	 151	 },
	{	 53, 	 151	 },
	{	 53, 	 0	 }}
}; //End code 130
#endif


/*
Code 131
NEC

*/
#if CODE131
const Tpowercode Code131 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 131
#endif


/*
Code 132
Advent, Baur, Beko, Bush, Carver, Crosley, Curtis Mathes, Dual, Hanseatic, Hitachi, Infinity, Inerfunk, Intervision, JBL,
Jensen, LG, LG/GoldStar, Lifetec, Loewe, LXI, M Electronic, Magnavox, Marantz, Mitsubishi, Otto Versand, Philco, Philips,
Philips Magnavox, Quelle, Schneider, Sears, SEQ Sylvania, Teac, Teknika, Thorn, Universum, Vidikron, Wards, Watson

*/
#if CODE132
const Tpowercode Code132 PROGMEM = {
  freq_to_timerval(34800),{ // 34800 Hz Carrier
 	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 184	 },
	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 9217	 },
	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 92	 },
	{	 92, 	 184	 },
	{	 92, 	 92	 },
	{	 184, 	 92	 },
	{	 92, 	 0	 }}
}; //End code 132
#endif


/*
Code 133
Amstrad, Matsui, Saisho, SEI, Sinudyne, Triumph

*/
#if CODE133
const Tpowercode Code133 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 133
#endif


/*
Code 134
Atlantic, Autovox, Expert, Fujitsu, Kapsch, Luma, Rex, Seleco, Stern, Teleton, Uher, Zanussi

*/
#if CODE134
const Tpowercode Code134 PROGMEM = {
  freq_to_timerval(38970),{ // 38970 Hz Carrier
 	{	 15, 	 690	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 456	 },
	{	 15, 	 456	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 456	 },
	{	 15, 	 456	 },
	{	 15, 	 4705	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 456	 },
	{	 15, 	 456	 },
	{	 15, 	 691	 },
	{	 15, 	 691	 },
	{	 15, 	 456	 },
	{	 15, 	 456	 },
	{	 15, 	 0	 }}
}; //End code 134
#endif


/*
Code 135
Akura, Alba, Asuka, Basic Line, Blue Sky, BTC, Bush, Cybertron, Dainichi, Elite, Genexxa, GPM, Hinari, ICeS, Isukai, Kaisui,
Nikkai, Osaki, Oso, Roadstar, Schneider, Standard, Susumu, Tandy, Tensai, Texet

*/
#if CODE135
const Tpowercode Code135 PROGMEM = {
  freq_to_timerval(34800),{ // 34800 Hz Carrier
 	{	 358, 	 358	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 269	 },
	{	 89, 	 3492	 },
	{	 359, 	 358	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 90	 },
	{	 89, 	 269	 },
	{	 89, 	 269	 },
	{	 89, 	 0	 }}
}; //End code 135
#endif


/*
Code 136
Philips, Phonola, SBR, Schneider

*/
#if CODE136
const Tpowercode Code136 PROGMEM = {
  freq_to_timerval(32480),{ // 32480 Hz Carrier
 	{	 49, 	 306	 },
	{	 52, 	 1022	 },
	{	 52, 	 304	 },
	{	 52, 	 1022	 },
	{	 52, 	 304	 },
	{	 52, 	 1022	 },
	{	 52, 	 304	 },
	{	 52, 	 663	 },
	{	 52, 	 663	 },
	{	 52, 	 663	 },
	{	 52, 	 663	 },
	{	 52, 	 304	 },
	{	 52, 	 304	 },
	{	 52, 	 3137	 },
	{	 52, 	 304	 },
	{	 52, 	 1022	 },
	{	 52, 	 304	 },
	{	 52, 	 1022	 },
	{	 52, 	 304	 },
	{	 52, 	 1022	 },
	{	 52, 	 304	 },
	{	 52, 	 663	 },
	{	 52, 	 663	 },
	{	 52, 	 663	 },
	{	 52, 	 663	 },
	{	 52, 	 304	 },
	{	 52, 	 304	 },
	{	 52, 	 0	 }}
}; //End code 136
#endif


/*
Code 137
Alba, Bush, Cimline, Firstline, Goodmans, Hinari, Kendo, Manesth, Matsui, Orion, Otto Versand, Saisho, Sinudyne, Sunkai

*/
#if CODE137
const Tpowercode Code137 PROGMEM = {
  freq_to_timerval(37470),{ // 37470 Hz Carrier
 	{	 924, 	 462	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 56	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 174	 },
	{	 56, 	 4055	 },
	{	 926, 	 230	 },
	{	 56, 	 9857	 },
	{	 926, 	 230	 },
	{	 56, 	 0	 }}
}; //End code 137
#endif


/*
Code 138
Autovox, Grundig, Indesit, Luxor, Minerva, Mitsubishi, National, Panasonic, Thomson

*/
#if CODE138
const Tpowercode Code138 PROGMEM = {
  freq_to_timerval(40580),{ // 40580 Hz Carrier
 	{	 1067, 	 4329	 },
	{	 1069, 	 0	 }}
}; //End code 138
#endif


/*
Code 139
Toshiba, Triumph

*/
#if CODE139
const Tpowercode Code139 PROGMEM = {
  freq_to_timerval(37430),{ // 37430 Hz Carrier
 	{	 924, 	 464	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 57	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 173	 },
	{	 58, 	 4054	 },
	{	 926, 	 230	 },
	{	 58, 	 9881	 },
	{	 926, 	 230	 },
	{	 58, 	 0	 }}
}; //End code 139
#endif




const Tpowercode *powerCodes[] PROGMEM  = {
#if _Grundig
	&Grundig,
#endif
#if CODE100
	&Code100,
#endif

#if CODE101
	&Code101,
#endif

#if CODE102
	&Code102,
#endif

#if CODE103
	&Code103,
#endif

#if CODE104
	&Code104,
#endif

#if CODE105
	&Code105,
#endif

#if CODE106
	&Code106,
#endif

#if CODE107
	&Code107,
#endif

#if CODE108
	&Code108,
#endif

#if CODE109
	&Code109,
#endif

#if CODE110
	&Code110,
#endif

#if CODE111
	&Code111,
#endif

#if CODE112
	&Code112,
#endif

#if CODE113
	&Code113,
#endif

#if CODE114
	&Code114,
#endif

#if CODE115
	&Code115,
#endif

#if CODE116
	&Code116,
#endif

#if CODE117
	&Code117,
#endif

#if CODE118
	&Code118,
#endif

#if CODE119
	&Code119,
#endif

#if CODE120
	&Code120,
#endif

#if CODE121
	&Code121,
#endif

#if CODE122
	&Code122,
#endif

#if CODE123
	&Code123,
#endif

#if CODE124
	&Code124,
#endif

#if CODE125
	&Code125,
#endif

#if CODE126
	&Code126,
#endif

#if CODE127
	&Code127,
#endif

#if CODE128
	&Code128,
#endif

#if CODE129
	&Code129,
#endif

#if CODE130
	&Code130,
#endif

#if CODE131
	&Code131,
#endif

#if CODE132
	&Code132,
#endif

#if CODE133
	&Code133,
#endif

#if CODE134
	&Code134,
#endif

#if CODE135
	&Code135,
#endif

#if CODE136
	&Code136,
#endif

#if CODE137
	&Code137,
#endif

#if CODE138
	&Code138,
#endif

#if CODE139
	&Code139,
#endif

};
uint8_t num_codes = (sizeof(powerCodes)/sizeof(*powerCodes));
//EOF
